org.aspectj.lang.reflect

## Interface DeclareParents

All Known Implementing Classes:
  DeclareParentsImpl

    public interface DeclareParents

A declare parents member defined inside an aspect

### Method Summary

All Methods Instance Methods Abstract Methods
`AjType` `getDeclaringType()`
`Type[]` `getParentTypes()`
`TypePattern` `getTargetTypesPattern()`
`boolean` `isExtends()`
`boolean` `isImplements()`

### Method Detail

#### getDeclaringType

    AjType getDeclaringType()

Returns:
  the declaring aspect

#### getTargetTypesPattern

    TypePattern getTargetTypesPattern()

Returns:
  the target type pattern

#### isExtends

    boolean isExtends()

Returns:
  true if this is a declare parents...extends member declaration

#### isImplements

    boolean isImplements()

Returns:
  true if this is a declare parents...implements member declaration

#### getParentTypes

    Type[] getParentTypes()
                   throws ClassNotFoundException

Returns:
  the set of types that the types matching getTargetTypesPattern are declared to implement or extend
Throws:
  `ClassNotFoundException` - if any types cannot be found